
post
/v4/organizations/{organizationId}/service-accounts
Create a service account without any operational right. Needs service_account.create. Grant it rights through a user group afterwards.
Path parameters
organizationIdstring (uuid)required
Request body
namestringrequired
Responses
200Response for status 200
Schema
object
idstringrequired
namestringrequired
organizationIdstringrequired
disabledbooleanrequired
createdAtstringrequired
createdByUserIdstring | nullrequired
Example
{
"id": "string",
"name": "string",
"organizationId": "string",
"disabled": false,
"createdAt": "string",
"createdByUserId": "string"
}post
https://api.merkl.xyz/v4/organizations//service-accountscurl -X POST "https://api.merkl.xyz/v4/organizations/{organizationId}/service-accounts" \
-H "Content-Type: application/json" \
-d '{ "name": "my-campaign-list" }'Live request: this will call https://api.merkl.xyz/ for real.